Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::bounding_rect

Returns the area that would be drawn to if a draw were performed.

    	CL_Rect bounding_rect(
    		int x = 0, int y = 0, bool ignore_invis = true);

    	CL_Rect bounding_rect(
    		Range range, int x = 0, int y = 0, bool ignore_invis = true);

    	CL_Rect bounding_rect(
    		CL_Rect dest, bool ignore_invis = true);

    	CL_Rect bounding_rect(
    		Range range, CL_Rect dest, bool ignore_invis = true);

Parameters:

x, y
  Anchor position to start "drawing" at. Actual rendering position depends on the alignment mode.
dest
  Rectangle to render glyphs in. The glyphs will be positioned within the rectangle depending on the alignment mode.
range
  The subsection of the glyphs vector to use.
ignore_invis
  If true, ignores invisible glyphs (glyphs without an actual visual glyph in the font)

Return value:

The area into which any pixels would be drawn. If buffer is empty, returns a rectangle with zero size.

See also:

CL_GlyphBuffer | CL_Rect

Questions or comments, write to the ClanLib mailing list.